/*
 * OLSR ad-hoc routing table management protocol
 * Copyright (C) 2004 Andreas Tnnesen (andreto@ifi.uio.no)
 *
 * This file is part of olsrd-unik.
 *
 * UniK olsrd is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * UniK olsrd is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with olsrd-unik; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

#ifndef _OLSR_LINUX_LINK_LAYER
#define _OLSR_LINUX_LINK_LAYER

/* Ugly fix to make this compile on wireless extentions < 16 */
#define _LINUX_ETHTOOL_H

#include "../olsr_protocol.h"

#define	MAXIPLEN	60
#define	MAXICMPLEN	76

extern size_t ipsize;

void
init_link_layer_notification();

void
poll_link_layer();

extern char *
sockaddr_to_string(struct sockaddr *);

int
add_spy_node(union olsr_ip_addr *, char *);

extern char *
olsr_ip_to_string(union olsr_ip_addr *);

extern int
olsr_printf(int, char *, ...);


#endif
